Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.axf.ide.handlers
Class StopHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.axf.ide.handlers.ModelRunHandler
                  org.eclipse.amp.axf.ide.handlers.StopHandler

All Implemented Interfaces:
  ILifeCycleListener, IStateListener, IModelWorkbenchListener, org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

    public class StopHandler

extends ModelRunHandler

The Class StopHandler.

Constructor Summary
`StopHandler()` Instantiates a new stop handler.

Method Summary
`boolean` | `isEnabled()`

Methods inherited from class org.eclipse.amp.axf.ide.handlers.ModelRunHandler
`execute, getRunner, modelActivated, modelAdded, modelRemoved, notifyChange, observationEnd, observationEnding, observeCreate, observeInitialize, observeStart, observeStop, observeUpdate, observing, stateChange, viewActivated, viewAdded, viewRemoved`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, fireHandlerChanged, hasListeners, isHandled, removeHandlerListener, setBaseEnabled, setEnabled`

Methods inherited from class org.eclipse.core.commands.common.EventManager
`addListenerObject, clearListeners, getListeners, isListenerAttached, removeListenerObject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StopHandler

    public StopHandler()

  Instantiates a new stop handler.

Method Detail

### isEnabled

    public boolean isEnabled()

  Specified by:
    `isEnabled` in interface `org.eclipse.core.commands.IHandler`
  Overrides:
    `isEnabled` in class `ModelRunHandler`
  Returns:
  See Also:
    `ModelRunHandler.isEnabled()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD